
SoundSoftware Code Site - Bug #6
Mercurial checkout URL not displayed
2010-08-25 12:18 PM - Redmine Admin

Status: Closed Start date: 2010-08-25
Priority: Normal Due date:
Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

The repository settings gives no option to show or adjust the Mercurial checkout URL (as I would expect of Redmine).  Is this just
because we have a slightly older base version here?  Check this.

History
#1 - 2010-08-25 01:26 PM - Chris Cannam
- Status changed from New to Resolved
- % Done changed from 0 to 80

OK, I had forgotten that this was provided by the Checkout plugin (not Redmine itself).  Installed the plugin.  Still one problem -- it shows a "translation
missing" error when user is not in US locale.  (Why I wonder does it show an error, rather than just defaulting to the US string?)

#2 - 2010-08-25 01:29 PM - Chris Cannam
- Status changed from Resolved to In Progress

#3 - 2010-08-25 04:58 PM - Chris Cannam
- % Done changed from 80 to 20

Grrgrgh.

Updated Checkout plugin does not work:

ActionView::TemplateError (undefined method `merge' for #<Array:0xae3056c>) on line #31 of
vendor/plugins/redmine_checkout/app/views/projects/settings/_repository_checkout.rhtml:
28:   <% javascript_tag do %>
29:     protocolForm = new Subform(
30:       '<%= escape_javascript(render(:partial => "projects/settings/repository_checkout_protocol", :locals => {:protocol =>
Checkout::Protocol.new({:protocol => form.object.scm_name, :append_path => form.object.allow_subtree_checkout? ? 1: 0, :repository =>
form.object})})) %>',
31:       <%= form.object.checkout_protocols.length %>,
32:       'checkout_protocol_table'
33:     );
34:   <% end %>

I haven't time to investigate this at the moment, but have removed the plugin from the live site.

#4 - 2010-08-26 10:18 AM - Chris Cannam
Not a proper update but just a note: we are tracking Redmine trunk until Yuya's Mercurial overhaul patches are merged:

http://www.redmine.org/issues/4455

When these have been merged, we should stop tracking the trunk at the next subsequent stable release.

#5 - 2010-09-29 05:18 PM - Chris Cannam
- Status changed from In Progress to Closed
- % Done changed from 20 to 100

Fixed with trunk update, db:migrate, db:migrate_plugins.
